<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if (!empty($post->post_password)) { // if there's a password
		if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
			?>

			<p class="nocomments">This post is password protected. Enter the password to view comments.</p>

			<?php
			return;
		}
	}

?>

<!-- You can start editing here. -->


<?php if ($comments) : ?>
<div class='clear'></div>
<div class='metasep'></div>
<h3 id="comments"><?php comments_number('No Comment', 'One Comment', '% Comments' );?>

<?php if ('open' == $post->comment_status) : ?>
(<a href="#respond" title="<?php _e("Leave a comment"); ?>"><?php _e("Leave a comment"); ?></a>) &raquo;</a></h3>
<?php endif; ?>
<ul class="commentlist">

	<?php foreach ($comments as $comment) : ?>

<?php
$isByAuthor = false;
if($comment->comment_author_email == get_the_author_email()) {
$isByAuthor = true;
}?>
		<div class="commentlist">

		<li id="comment-<?php comment_ID() ?>" <?php if($isByAuthor ) { echo 'class="my_comment"';} ?>>

		<div class="clearfloat">

		<?php echo get_avatar( $comment, $size = '55' ); ?>


			<div class="commenttext">
			<cite><strong><?php comment_author_link() ?> <?php if($isByAuthor ) { echo '(author)';} ?> </strong> said: </cite>

			<?php if ($comment->comment_approved == '0') : ?>
			<em>Your comment is awaiting moderation.</em>
			<?php endif; ?>
			<?php comment_text() ?>
			</div>


		</div>

		<div class="commentmetadata"># <?php comment_date('j F Y') ?> at <?php comment_time() ?> </div>
		</li>


	<?php endforeach; /* end for each comment */ ?>
</ul>


 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments">Comments are closed.</p>

	<?php endif; ?>
<?php endif; ?>


<?php if ('open' == $post->comment_status) : ?>

<div class='metasep'></div>
<a name='comment_form'></a>
<h3 id="respond">Leave a Reply</h3>
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">logged in</a> to post a comment.</p>
<?php else : ?>

<div class="form">
<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account">Logout &raquo;</a></p>
<div class="form-full">
<?php else : ?>

	<div class="form-left">
		<input class="textfield" type="text" name="author" id="author" value="Name <?php if ($req) echo "(required)"; ?>"  tabindex="1" />
		<input class="textfield" type="text" name="email" id="email" value="Mail (will not be published) <?php if ($req) echo "(required)"; ?>" tabindex="2" />
		<input class="textfield" type="text" name="url" id="url" value="Website (optional)"   tabindex="3" />
	</div>
<div class="form-right">
<?php endif; ?>


<textarea class="textfield" name="comment" id="comment" cols="35%" rows="10" tabindex="4">Type your comment here...</textarea>

	<label for="Submit"><!--<span class="hide">Submit</span>--></label>
	<input class="button" name="submit" type="submit" id="submit" tabindex="5" value="Submit Comment" />
	<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
	</div>
<?php do_action('comment_form', $post->ID); ?>
			<a class="clearfix"></a>
	</form>
</div>

<?php endif; // If registration required and not logged in ?>

<?php endif; ?>