<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
global $options;
foreach ($options as $value) {
	if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
}


get_header();
?>

	<div id="contentarea">
		<br>

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			<div class='post_content'>
			<h2><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a> &raquo; <?php the_title(); ?></h2>
				<span class='postmeta'>
					Posted
					<?php
					if($ilgud_remove_author_info_meta != "true") {
						echo 'by ';
						the_author();
					}
					?>

					on
					<?php the_time('F jS, Y') ?>
				</span>
				<span class='commentmeta'>
					<?php edit_post_link('Edit', '', ' | '); ?><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?>

				</span>
				<div class='metasep'></div>

				<div class="entry">

				<p class="attachment"><a href="<?php echo wp_get_attachment_url($post->ID); ?>"><?php echo wp_get_attachment_image( $post->ID, 'medium' ); ?></a></p>
				<div class="caption"><?php if ( !empty($post->post_excerpt) ) the_excerpt(); // this is the "caption" ?></div>

				<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>

				<div class="navigation">
					<div class="alignleft"><?php previous_image_link("","< Previous") ?></div>
					<div class="alignright"><?php next_image_link("","Next >") ?></div>
				</div>

					<?php the_tags( '<b>Tags</b>: ', ', ', '<br>'); ?>
					<b>Posted in</b>: <?php the_category(', '); ?>
				</div>
			</div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

<h2 class="pagetitle">Not Found</h2>
		<div class='post'>
			<div class='post_content'>

				<div class="entry"><br>
					Sorry, but you are looking for something that isn't here.<br><br>

					<b>Search</b>:<br>
					<?php get_search_form(); ?><br><Br>
				</div>
			</div>
		</div>


<?php endif; ?>

	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>