<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
get_header();
?>

	<div id="contentarea">

		<h2 class="pagetitle">Not Found</h2>
		<div class='post'>
			<div class='post_content'>

				<div class="entry"><br>
					Sorry, but you are looking for something that isn't here.<br><br>

					We suggest that you try one of these options:
					<ul>
						<li> Press the "back" button on your browser to go back.</li>
						<li> Visit our <a href="<?php echo get_option('home'); ?>/">home page</a> and find your way from there.</li>
						<li> Try our popular topics:</li>
							<?php wp_tag_cloud();?>
							<br><br>
						<li> Use the search form to search what you were looking for:
							<?php get_search_form(); ?>
						</li>

					</ul>
				</div>
			</div>
		</div>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>