<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

global $options;
foreach ($options as $value) {
	if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
}
$ilgud_include_pages = get_settings('ilgud_include_pages');
$ilgud_include_cats = get_settings('ilgud_include_cats');

if(!$ilgud_include_cats) $ilgud_include_cats = "&number=5";
if(!$ilgud_include_pages) $ilgud_include_pages = "&number=5";


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />


<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<?php
		if (is_singular()) {
	?>
				<script type="text/javascript" src="<?php bloginfo('url');?>/wp-includes/js/jquery/jquery.js"></script>
				<script type="text/javascript" src="<?php bloginfo('url');?>/wp-includes/js/jquery/jquery.form.js"></script>
	<?php
			echo '
			<script type="text/javascript">
			jQuery(document).ready(function(){

				jQuery("#author").focus(function(){
			    	var cu = this;
			    	if(cu.value == "Name (required)") {
						jQuery("#author").val("");
					}

				});

			    jQuery("#author").blur(function(){
			    	var cu = this;
					if (cu.value == "") {
						jQuery("#author").val("Name (required)");
					}
				});



				// MAIL
			    jQuery("#email").focus(function(){
			    	var cu = this;
			    	if(cu.value == "Mail (will not be published) (required)") {
						jQuery("#email").val("");
					}

				});

			    jQuery("#email").blur(function(){
			    	var cu = this;
					if (cu.value == "") {
						jQuery("#email").val("Mail (will not be published) (required)");
					}
				});

			    jQuery("#url").focus(function(){
			    	var cu = this;
			    	if(cu.value == "Website (optional)") {
						jQuery("#url").val("");
					}

				});

			    jQuery("#url").blur(function(){
			    	var cu = this;
					if (cu.value == "") {
						jQuery("#url").val("Website (optional)");
					}
				});


			    jQuery("#comment").focus(function(){
			    	var cu = this;
			    	if(cu.value == "Type your comment here...") {
						jQuery("#comment").val("");
					}

				});

			    jQuery("#comment").blur(function(){
			    	var cu = this;
					if (cu.value == "") {
						jQuery("#comment").val("Type your comment here...");
					}
				});

			});
				</script>
				';
		}

			if ($ilgud_sidebar == "Left") {
				echo "<style type='text/css'>
						#sidebar { float:left; width:300px;}
						#contentarea { float:right; position:relative; right:-10px;}
					 </style>";
			}
			if(!$ilgud_logo_url) {
				$ilgud_logo_url = "wp-content/themes/ilookgood/images/logo.png";
				$ilgud_logo_width = "283px";
				$ilgud_logo_height = "81px";
			}
	?>

<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class='wrapper'>
	<div class='header'>
		<div class='topnav'>
			<ul>
			<?php
				if($ilgud_home_button == "Top Bar") {
			?>
				<li>
				<a href="<?php echo get_option('home'); ?>/">Home</a>
				</li>
			<?php
			}

				if($ilgud_page_bar == "Top Bar") {
					wp_list_pages('title_li=&hierarchical=0&depth=1&include='.$ilgud_include_pages);
				} elseif($ilgud_cat_bar == "Top Bar") {
					wp_list_categories('title_li=&hierarchical=0&depth=1&include='.$ilgud_include_cats);
				}

			?>
			</ul>

			<?php
			if($ilgud_searchbar == "Top Bar") {
			?>

			<div class='topsearch'>
				<form method="get" id="searchform" action="<?php bloginfo('url'); ?>/" style='padding:0;margin:0;'>
				<input type="text" value="<?php the_search_query(); ?>" name="s" id="s" onfocus="this.value=''" title="Enter the terms you wish to search for." />
				<input type="image" src="<?php echo get_option('home'); ?>/wp-content/themes/ilookgood/images/magnify.png" id="searchsubmit" />
				</form>
			</div>

			<?php
			}

			if($ilgud_socialactions == "Top Bar") {
			?>

			<div class='topsactions'>
				<?php if($ilgud_twitter_id != "") { ?>
				<a href="http://twitter.com/<?php echo $ilgud_twitter_id ?>" target="_blank"><img src='<?php echo get_option('home'); ?>/wp-content/themes/ilookgood/images/twitter.png' alt='Twitter' /></a>
				<?php }
					 if($ilgud_facebook_url != "") { ?>
				<a href="<?php echo $ilgud_facebook_url ?>" target="_blank"><img src='<?php echo get_option('home'); ?>/wp-content/themes/ilookgood/images/facebook.png' alt='Facebook' /></a>
				<?php } ?>
				<a href="<?php bloginfo('rss2_url'); ?>"><img src='<?php echo get_option('home'); ?>/wp-content/themes/ilookgood/images/rss.png' alt='RSS' /></a>
			</div>
			<?php
			}
			?>


		</div>
		<div style='float:left;text-align:right;'>
		<?php
		if($ilgud_show_graphic_logo == 'true') { ?>
			<div class='logo'>
			<a href="<?php echo get_option('home'); ?>/"><img src="<?php echo get_option('home'); ?>/<?php echo $ilgud_logo_url; ?>" alt="<?php bloginfo('name'); ?>" height="<?php echo $ilgud_logo_height ?>" width="<?php echo $ilgud_logo_width ?>"></a>
			</div>
		<?php } else { ?>
			<div class='logo_text'>
				<h1><a href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h1>
			</div>
		<?php } ?>
			<div class='desc'><?php bloginfo('description'); ?></div>
		</div>

	</div>


	<div class='navbar'>
		<div class='navcontent'>
			<ul>
			<?php
				if($ilgud_home_button == "Nav Bar") {
			?>
				<li>
				<a href="<?php echo get_option('home'); ?>/">Home</a>
				</li>
			<?php
			}
				if($ilgud_page_bar == "Nav Bar") {
					wp_list_pages('title_li=&hierarchical=0&depth=1&include='.$ilgud_include_pages);
				} elseif($ilgud_cat_bar == "Nav Bar") {
					wp_list_categories('title_li=&hierarchical=0&depth=1&include='.$ilgud_include_cats);
				}
			?>
			</ul>

			<?php
			if($ilgud_searchbar == "Nav Bar") {
			?>

			<div class='navsearch'>
				<form method="get" id="searchform" action="<?php bloginfo('url'); ?>/" style='padding:0;margin:0;'>
				<input type="text" value="<?php the_search_query(); ?>" name="s" id="s" onfocus="this.value=''" title="Enter the terms you wish to search for." />
				<input type="image" src="<?php echo get_option('home'); ?>/wp-content/themes/ilookgood/images/magnify.png" id="searchsubmit" />
				</form>
			</div>

			<?php
			}
			if($ilgud_socialactions == "Nav Bar") {
			?>
			<div class='navsactions'>
				<?php if($ilgud_twitter_id != "") { ?>
				<a href="http://twitter.com/<?php echo $ilgud_twitter_id ?>" target="_blank"><img src='<?php echo get_option('home'); ?>/wp-content/themes/ilookgood/images/twitterb.png' alt='Twitter' /></a>
				<?php }
					 if($ilgud_facebook_url != "") { ?>
				<a href="<?php echo $ilgud_facebook_url ?>" target="_blank"><img src='<?php echo get_option('home'); ?>/wp-content/themes/ilookgood/images/facebookb.png' alt='Facebook' /></a>
				<?php } ?>
				<a href="<?php bloginfo('rss2_url'); ?>"><img src='<?php echo get_option('home'); ?>/wp-content/themes/ilookgood/images/rssb.png' alt='RSS' /></a>
			</div>
			<?php
			}
			?>
		</div>
	</div>
</div>
<div class='clear'></div>
<div class='pagewrap'>
