<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
global $options;
foreach ($options as $value) {
	if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
}
get_header();
?>

	<div id='contentarea'>

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<div class='post_content'>
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<span class='postmeta'>
					Posted
					<?php
					if($ilgud_remove_author_info_meta != "true") {
						echo 'by ';
						the_author();
					}
					?>
					on
					<?php the_time('F jS, Y') ?>
				</span>
				<span class='commentmeta'>
					<?php edit_post_link('Edit', '', ' | '); ?><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?>

				</span>
				<div class='metasep'></div>

				<div class="entry">
					<?php the_content('Read the rest of this entry &raquo;</div>'); ?>

					<?php wp_link_pages(array('before' => '<div id="pagination"><strong>Pages:</strong> ', 'after' => '</div>', 'next_or_number' => 'number')); ?>
					<div class="clear"></div>
				</div>

				</div>
				<div class='postmetadata'>
								<?php
								if($ilgud_post_footer == "Tags") $posttags = get_the_tags();

								if($ilgud_post_footer == "Tags" && $posttags) {
									the_tags();
								} else {
									echo "Posted in ";
									the_category(', ');
								}
								?>
									 </div>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="pagetitle">Not Found</h2>
		<div class='post'>
			<div class='post_content'>

				<div class="entry"><br>
					Sorry, but you are looking for something that isn't here.<br><br>

					<b>Search</b>:<br>
					<?php get_search_form(); ?><br><Br>
				</div>
			</div>
		</div>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>