<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
global $options;
foreach ($options as $value) {
	if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
}
get_header(); ?>
	<div id="contentarea">

	<?php if (have_posts()) : ?>

		<h2 class="pagetitle">Search Results</h2>

		<?php while (have_posts()) : the_post(); ?>

			<div class='post_content'>
				<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<span class='postmeta'>
					Posted
					<?php
					if($show_author_info_meta) {
						echo 'by ';
						the_author();
					}
					?>

					on
					<?php the_time('F jS, Y') ?>
				</span>
				<span class='commentmeta'>
					<?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?>

				</span>
				<div class='metasep'></div>

				<div class="entry">
					<?php the_excerpt(); ?>
				</div>

				</div>
			<div class="postmetadata"><?php
											if($ilgud_post_footer == "Tags") $posttags = get_the_tags();

											if($ilgud_post_footer == "Tags" && $posttags) {
												the_tags();
											} else {
												echo "Posted in ";
												the_category(', ');
											}

										?> <?php edit_post_link('Edit', ' | ', ''); ?></div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="pagetitle">Not Found</h2>
		<div class='post'>
			<div class='post_content'>

				<div class="entry"><br>
					Sorry, but you are looking for something that isn't here.<br><br>

					Please try searching again with different keywords:<br><Br>
					<?php get_search_form(); ?>
				</div>
			</div>
		</div>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>