<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
global $options;
foreach ($options as $value) {
	if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }
}

get_header();
?>

	<div id="contentarea">
		<br>
		<div class="postmetadata" style='height:18px;//height:17px;'>
			<span style='float:left;margin-left:5px;'><?php previous_post_link('&laquo; %link') ?></span>
			<span style='float:right;margin-right:10px;'><?php next_post_link('%link &raquo;') ?></span>
		</div>

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			<div class='post_content'>
				<h2><?php the_title(); ?></h2>
				<span class='postmeta'>
					Posted
					<?php
					if($ilgud_remove_author_info_meta != "true") {
						echo 'by ';
						the_author();
					}
					?>

					on
					<?php the_time('F jS, Y') ?>
				</span>
				<span class='commentmeta'>
					<?php edit_post_link('Edit', '', ' | '); ?><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?>

				</span>
				<div class='metasep'></div>

				<div class="entry">
					<?php the_content(); ?>

					<?php wp_link_pages(array('before' => '<div id="pagination"><strong>Pages:</strong> ', 'after' => '</div>', 'next_or_number' => 'number', 'pagelink' => '<span>%</span>')); ?>



					<div class='clear'>&nbsp;</div>
					<?php the_tags( '<b>Tags</b>: ', ', ', '<br>'); ?>
					<b>Posted in</b>: <?php the_category(', '); ?>

				</div>
			</div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

<h2 class="pagetitle">Not Found</h2>
		<div class='post'>
			<div class='post_content'>

				<div class="entry"><br>
					Sorry, but you are looking for something that isn't here.<br><br>

					<b>Search</b>:<br>
					<?php get_search_form(); ?><br><Br>
				</div>
			</div>
		</div>

		<?php endif; ?>

	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>